---
apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    app.kubernetes.io/component: puppetdb
    app.kubernetes.io/instance: puppetserver
    app.kubernetes.io/name: puppetserver
    app.kubernetes.io/version: 8.8.0
  name: puppetdb-config
  namespace: puppet
data:
  USE_OPENVOXSERVER: "true"
  OPENVOXSERVER_HOSTNAME: "puppetca"
  OPENVOXSERVER_PORT: "8140"
  DNS_ALT_NAMES: "openvoxdb,puppetdb,puppetdb.k8s.syd1.au.unkin.net,puppetdb.puppet.svc.cluster.local"
  OPENVOXDB_POSTGRES_HOSTNAME: "puppet-postgres-pooler"
  OPENVOXDB_POSTGRES_DATABASE: "puppetdb"
  OPENVOXDB_POSTGRES_PORT: "5432"
  OPENVOXDB_READ_POSTGRES_HOSTNAME: "puppet-postgres-pooler-ro"
  OPENVOXDB_READ_POSTGRES_DATABASE: "puppetdb"
  OPENVOXDB_READ_POSTGRES_PORT: "5432"
  PUPPETDB_JAVA_ARGS: ""
